Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.webreport
Interface CatalogInfo.DataSource

Enclosing interface:
  CatalogInfo

    public static interface CatalogInfo.DataSource

Method Summary
`JNode` | `getDataSourceTree()` Returns the tree in `JNode` of total resource handles defined in the data source.
`java.lang.String` | `getName()` Returns the data source name.
`java.lang.String` | `getResourceHandle(java.lang.String handleName)` Returns the handle with the specified handle name.
`java.lang.String[]` | `getResourceHandleNames()` Returns all resources handle names defined in the data source.
`JNode` | `getResourceTree(java.lang.String handle)` Returns the tree in `JNode` with the specified resource handle.

Method Detail

### getName

    java.lang.String getName()

  Returns the data source name.

  Returns:
    the data source name.

### getResourceHandleNames

    java.lang.String[] getResourceHandleNames()

  Returns all resources handle names defined in the data source.

  Returns:
    all resources handle names.

### getResourceHandle

    java.lang.String getResourceHandle(java.lang.String handleName)

  Returns the handle with the specified handle name.

  Parameters:
    `handleName` - the handle name.
  Returns:
    the handle string.

### getDataSourceTree

    JNode getDataSourceTree()

  Returns the tree in `JNode` of total resource handles defined in the data source.

  Returns:
    the data source tree `JNode`.

### getResourceTree

    JNode getResourceTree(java.lang.String handle)

  Returns the tree in `JNode` with the specified resource handle.

  Parameters:
    `handle` - the resource handle.
  Returns:
    the resource tree `JNode`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD